Index: src/libbn/tests/bn_vert_tree.c
===================================================================
--- src/libbn/tests/bn_vert_tree.c	(revision 0)
+++ src/libbn/tests/bn_vert_tree.c	(revision 0)
@@ -0,0 +1,231 @@
+/*                   B N _ V E R T _ T R E E . C
+ * BRL-CAD
+ *
+ * Copyright (c) 2013 United States Government as represented by
+ * the U.S. Army Research Laboratory.
+ *
+ * This library is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU Lesser General Public License
+ * version 2.1 as published by the Free Software Foundation.
+ *
+ * This library is distributed in the hope that it will be useful, but
+ * WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+ * Lesser General Public License for more details.
+ *
+ * You should have received a copy of the GNU Lesser General Public
+ * License along with this file; see the file named COPYING for more
+ * information.
+ */
+
+#include "common.h"
+
+#include <stdio.h>
+
+#include "bn.h"
+#include "bu.h"
+
+
+
+int
+main(int ac, char *av[])
+{
+    int function_num = 0;
+    int test_num = 0;  
+    
+    struct vert_root *test_tree;
+    int x;
+    struct bn_tol tol;
+    tol.dist = BN_TOL_DIST;
+    tol.dist_sq = tol.dist * tol.dist;
+
+    if (ac < 3) {
+	fprintf(stderr, "Two parameters are needed, one for the function number and one for the test number.");
+	return EXIT_FAILURE;
+    }
+
+    sscanf(av[1], "%d", &function_num);
+    sscanf(av[2], "%d", &test_num);
+    
+    if (function_num == 1) {
+	switch (test_num) {
+	    case 1:
+		/* Testing if initialization of trees with vertices works as expected */
+		test_tree = create_vert_tree();
+		return !(test_tree->tree_type == 1 && test_tree->max_vert == 512 && test_tree->curr_vert == 0 );
+	}
+    }
+
+    if (function_num == 2) {
+	switch (test_num) {
+	    case 1:
+		/* Testing if initialization of trees with vertices and normals works as expected */
+		test_tree = create_vert_tree_w_norms();
+		return !(test_tree->tree_type == 2 && test_tree->max_vert == 512 && test_tree->curr_vert == 0 );
+	}
+    }
+
+    if (function_num == 3) {
+	test_tree = create_vert_tree();
+	switch (test_num) {
+	    /* Tests 1, 2 and 3 verify that new vertices are properly added to the end of the array */
+	    case 1:
+		x = Add_vert(1, 1, 1, test_tree, (fastf_t)tol.dist_sq);
+		return !(test_tree->the_array[0] == 1 && test_tree->the_array[1] == 1 && test_tree->the_array[2] == 1);
+	    case 2:
+		x = Add_vert(1, 3, 4, test_tree, (fastf_t)tol.dist_sq);
+		x = Add_vert(42, 42, 42, test_tree, (fastf_t)tol.dist_sq);
+		return !(test_tree->the_array[3] == 42 && test_tree->the_array[4] == 42 && test_tree->the_array[5] == 42);
+	    case 3:
+		x = Add_vert(0, 1, 2, test_tree, (fastf_t)tol.dist_sq);
+		x = Add_vert(3, 4, 5, test_tree, (fastf_t)tol.dist_sq);
+		x = Add_vert(6, 7, 8, test_tree, (fastf_t)tol.dist_sq);
+		return !(test_tree->the_array[3] == 3 && test_tree->the_array[4] == 4 && test_tree->the_array[5] == 5);
+	    /* Test 4 verifies that new vertices return an index to the end of the array */
+	    case 4:
+		x = Add_vert(0, 0, 0, test_tree, (fastf_t)tol.dist_sq);
+		x = Add_vert(3, 4, 5, test_tree, (fastf_t)tol.dist_sq);
+		return !(x == 1);
+	    /* Test 5 verifies that adding an identical vertex to the first one returns the 0 index */
+	    case 5:
+		x = Add_vert(0, 0, 0, test_tree, (fastf_t)tol.dist_sq);
+		x = Add_vert(0, 0, 0, test_tree, (fastf_t)tol.dist_sq);
+		return !(x == 0);
+	    /* Test 6 verifies that adding an existing vertex returns the original index */
+	    case 6:
+		x = Add_vert(0, 1, 2, test_tree, (fastf_t)tol.dist_sq);
+		x = Add_vert(3, 4, 5, test_tree, (fastf_t)tol.dist_sq);
+		x = Add_vert(6, 7, 8, test_tree, (fastf_t)tol.dist_sq);
+		x = Add_vert(3, 4, 5, test_tree, (fastf_t)tol.dist_sq);
+		return !(x == 1);
+	    /* Tests 7, 8 and 9 verify that large differences between a new vertex and existing vertices do not result in returning an existing vertex */
+	    case 7:
+		x = Add_vert(0, 1, 2, test_tree, (fastf_t)tol.dist_sq);
+		x = Add_vert(3, 4, 5, test_tree, (fastf_t)tol.dist_sq);
+		x = Add_vert(6, 7, 8, test_tree, (fastf_t)tol.dist_sq);
+		x = Add_vert(3, 4, 7, test_tree, (fastf_t)tol.dist_sq);
+		return !(x == 3);
+	    case 8:
+		x = Add_vert(0, 1, 2, test_tree, (fastf_t)tol.dist_sq);
+		x = Add_vert(3, 4, 5, test_tree, (fastf_t)tol.dist_sq);
+		x = Add_vert(6, 7, 8, test_tree, (fastf_t)tol.dist_sq);
+		x = Add_vert(3, 4, 5.01, test_tree, (fastf_t)tol.dist_sq);
+		return !(x == 3);
+	    case 9:
+		x = Add_vert(0, 1, 2, test_tree, (fastf_t)tol.dist_sq);
+		x = Add_vert(3, 4, 5, test_tree, (fastf_t)tol.dist_sq);
+		x = Add_vert(6, 7, 8, test_tree, (fastf_t)tol.dist_sq);
+		x = Add_vert(3, 4, 5.007, test_tree, (fastf_t)tol.dist_sq);
+		return !(x == 3);
+	    /* Test 10 verifies that a small difference between the new vertex and the existing one results in returning the existing vertex */
+	    case 10:
+		x = Add_vert(0, 1, 2, test_tree, (fastf_t)tol.dist_sq);
+		x = Add_vert(3, 4, 5, test_tree, (fastf_t)tol.dist_sq);
+		x = Add_vert(6, 7, 8, test_tree, (fastf_t)tol.dist_sq);
+		x = Add_vert(3, 4, 5.00000007, test_tree, (fastf_t)tol.dist_sq);
+		return !(x == 1);
+	}
+    }
+
+    if (function_num == 4) {
+	test_tree = create_vert_tree_w_norms();
+	/* Add_vert_and_norm() tests verify the same functionality as the corresponding Add_vert() tests */
+	switch (test_num) {
+	    case 1:
+		x = Add_vert_and_norm(1, 1, 1, 1, 1, 1, test_tree, (fastf_t)tol.dist_sq);
+		return !(test_tree->the_array[0] == 1 && test_tree->the_array[1] == 1 && test_tree->the_array[2] == 1 &&
+			 test_tree->the_array[3] == 1 && test_tree->the_array[4] == 1 && test_tree->the_array[5] == 1);
+	    case 2:
+		x = Add_vert_and_norm(1, 3, 4, 8, 3, 44, test_tree, (fastf_t)tol.dist_sq);
+		x = Add_vert_and_norm(42, 42, 42, 42, 42, 42, test_tree, (fastf_t)tol.dist_sq);
+		return !(test_tree->the_array[6] == 42 && test_tree->the_array[7] == 42 && test_tree->the_array[11] == 42);
+	    case 3:
+		x = Add_vert_and_norm(0, 1, 2, 0, 1, 2, test_tree, (fastf_t)tol.dist_sq);
+		x = Add_vert_and_norm(3, 4, 5, 3, 4, 5, test_tree, (fastf_t)tol.dist_sq);
+		x = Add_vert_and_norm(6, 7, 8, 6, 7, 8, test_tree, (fastf_t)tol.dist_sq);
+		return !(test_tree->the_array[6] == 3 && test_tree->the_array[7] == 4 && test_tree->the_array[8] == 5 &&
+			 test_tree->the_array[9] == 3 && test_tree->the_array[10] == 4 && test_tree->the_array[11] == 5);
+	    case 4:
+		x = Add_vert_and_norm(0, 0, 0, 0, 0, 0, test_tree, (fastf_t)tol.dist_sq);
+		x = Add_vert_and_norm(3, 4, 5, 6, 7, 8, test_tree, (fastf_t)tol.dist_sq);
+		return !(x == 1);
+	    case 5:
+		x = Add_vert_and_norm(0, 0, 0, 0, 0, 0, test_tree, (fastf_t)tol.dist_sq);
+		x = Add_vert_and_norm(0, 0, 0, 0, 0, 0, test_tree, (fastf_t)tol.dist_sq);
+		return !(x == 0);
+	    case 6:
+		/* Currently fails, tests whether adding an identical vertex to an existing one returns the original index */
+		x = Add_vert_and_norm(0, 1, 2, 0, 1, 2, test_tree, (fastf_t)tol.dist_sq);
+		x = Add_vert_and_norm(3, 4, 5, 0, 1, 2, test_tree, (fastf_t)tol.dist_sq);
+		x = Add_vert_and_norm(6, 7, 8, 0, 1, 2, test_tree, (fastf_t)tol.dist_sq);
+		x = Add_vert_and_norm(3, 4, 5, 0, 1, 2, test_tree, (fastf_t)tol.dist_sq);
+		return !(x == 1);
+	    case 7:
+		x = Add_vert_and_norm(0, 1, 2, 9, 9, 9, test_tree, (fastf_t)tol.dist_sq);
+		x = Add_vert_and_norm(3, 4, 5, 7, 5, 3, test_tree, (fastf_t)tol.dist_sq);
+		x = Add_vert_and_norm(6, 7, 8, 42, 43, 44, test_tree, (fastf_t)tol.dist_sq);
+		x = Add_vert_and_norm(3, 4, 7, 7, 5, 3, test_tree, (fastf_t)tol.dist_sq);
+		return !(x == 3);
+	    case 8:
+		x = Add_vert_and_norm(0, 1, 2, 0, 0, 0, test_tree, (fastf_t)tol.dist_sq);
+		x = Add_vert_and_norm(3, 4, 5, 0, 0, 0, test_tree, (fastf_t)tol.dist_sq);
+		x = Add_vert_and_norm(6, 7, 8, 0, 0, 0, test_tree, (fastf_t)tol.dist_sq);
+		x = Add_vert_and_norm(3, 4, 5.01, 0, 0, 0, test_tree, (fastf_t)tol.dist_sq);
+		return !(x == 3);
+	    case 9:
+		x = Add_vert_and_norm(0, 1, 2, 0, 0, 0, test_tree, (fastf_t)tol.dist_sq);
+		x = Add_vert_and_norm(3, 4, 5, 0, 0, 0, test_tree, (fastf_t)tol.dist_sq);
+		x = Add_vert_and_norm(6, 7, 8, 0, 0, 0, test_tree, (fastf_t)tol.dist_sq);
+		x = Add_vert_and_norm(3, 4, 5.007, 0, 0, 0, test_tree, (fastf_t)tol.dist_sq);
+		return !(x == 3);
+	    /* Tests 10 and 11 currently fail. They test whether adding a new vertex that differs slightly from an existing one returns an index to the original vertex.*/
+	    case 10:
+		x = Add_vert_and_norm(0, 1, 2, 0, 0, 0, test_tree, (fastf_t)tol.dist_sq);
+		x = Add_vert_and_norm(3, 4, 5, 0, 0, 0, test_tree, (fastf_t)tol.dist_sq);
+		x = Add_vert_and_norm(6, 7, 8, 0, 0, 0, test_tree, (fastf_t)tol.dist_sq);
+		x = Add_vert_and_norm(3, 4, 5.000000000007, 0, 0, 0, test_tree, (fastf_t)tol.dist_sq);
+		return !(x == 1);
+	    case 11:
+		x = Add_vert_and_norm(0, 1, 2, 0, 0, 0, test_tree, (fastf_t)tol.dist_sq);
+		x = Add_vert_and_norm(3, 4, 5, 0, 0, 0, test_tree, (fastf_t)tol.dist_sq);
+		x = Add_vert_and_norm(6, 7, 8, 0, 0, 0, test_tree, (fastf_t)tol.dist_sq);
+		x = Add_vert_and_norm(3, 4, 5, 0, 0, 0.000000000007, test_tree, (fastf_t)tol.dist_sq);
+		return !(x == 1);
+	}
+    }
+
+    if (function_num == 5) {
+	test_tree = create_vert_tree();
+    	/* Verifies that the function clears the tree but doesn't erase the array */
+	switch (test_num) {
+	    case 1:
+		x = Add_vert(3, 4, 9, test_tree, (fastf_t)tol.dist_sq);
+		clean_vert_tree(test_tree);
+	        return !(test_tree->curr_vert == 0 && test_tree->the_array);
+	}
+    }
+
+    if (function_num == 6) {
+	test_tree = create_vert_tree();
+    	/* Verifies that the function clears the tree and the array */
+	switch (test_num) {
+	    case 1:
+		x = Add_vert(3, 4, 9, test_tree, (fastf_t)tol.dist_sq);
+		free_vert_tree(test_tree);
+	        return !(test_tree->curr_vert == 0 && test_tree->the_array == (fastf_t *)NULL);
+	}
+    }
+
+    return 1;
+
+}
+
+/*
+ * Local Variables:
+ * mode: C
+ * tab-width: 8
+ * indent-tabs-mode: t
+ * c-file-style: "stroustrup"
+ * End:
+ * ex: shiftwidth=4 tabstop=8
+ */
Index: src/libbn/tests/bn_list.c
===================================================================
--- src/libbn/tests/bn_list.c	(revision 54133)
+++ src/libbn/tests/bn_list.c	(working copy)
@@ -1,4 +1,4 @@
-/*                  T E S T _ L I S T . C
+/*                        B N _ L I S T . C
  * BRL-CAD
  *
  * Copyright (c) 2011-2012 United States Government as represented by
Index: src/libbn/tests/CMakeLists.txt
===================================================================
--- src/libbn/tests/CMakeLists.txt	(revision 54133)
+++ src/libbn/tests/CMakeLists.txt	(working copy)
@@ -1,6 +1,7 @@
 BRLCAD_ADDEXEC(tester_bn_coplanar_tri_tri_isect bn_coplanar_tri_tri_isect.c "libbu;libbn" NO_INSTALL LOCAL)
 BRLCAD_ADDEXEC(tester_bn_tri_tri_isect bn_tri_tri_isect.c "libbu;libbn" NO_INSTALL LOCAL)
 BRLCAD_ADDEXEC(tester_bn_list bn_list.c "libbu;libbn" NO_INSTALL LOCAL)
+BRLCAD_ADDEXEC(tester_bn_vert_tree bn_vert_tree.c "libbu;libbn" NO_INSTALL LOCAL)
 
 # For tester_bn_coplanar_tri_tri_isect, the input format is as follows:
 #
@@ -58,6 +59,40 @@
 add_test(bn_list_3d_3                   tester_bn_list  3  3,7,8 1,-5,8)
 add_test(bn_list_3d_4                   tester_bn_list  3  3,7,8 1,-5.321,3 67,0,67 0,100,23)
 
+
+
+#
+#  ************ vert_tree.c tests *************
+#
+# Actual test parameters are located inside the .c file;
+# The fist value passed is the function number, the second the test number.
+#
+add_test(bn_vert_tree_create_vert_tree_1 tester_bn_vert_tree 1 1)
+add_test(bn_vert_tree_create_vert_tree_w_norms_1 tester_bn_vert_tree 2 1)
+add_test(bn_vert_tree_Add_vert_1 tester_bn_vert_tree 3 1)
+add_test(bn_vert_tree_Add_vert_2 tester_bn_vert_tree 3 2)
+add_test(bn_vert_tree_Add_vert_3 tester_bn_vert_tree 3 3)
+add_test(bn_vert_tree_Add_vert_4 tester_bn_vert_tree 3 4)
+add_test(bn_vert_tree_Add_vert_5 tester_bn_vert_tree 3 5)
+add_test(bn_vert_tree_Add_vert_6 tester_bn_vert_tree 3 6)
+add_test(bn_vert_tree_Add_vert_7 tester_bn_vert_tree 3 7)
+add_test(bn_vert_tree_Add_vert_8 tester_bn_vert_tree 3 8)
+add_test(bn_vert_tree_Add_vert_9 tester_bn_vert_tree 3 9)
+add_test(bn_vert_tree_Add_vert_10 tester_bn_vert_tree 3 10)
+add_test(bn_vert_tree_Add_vert_and_norm_1 tester_bn_vert_tree 4 1)
+add_test(bn_vert_tree_Add_vert_and_norm_2 tester_bn_vert_tree 4 2)
+add_test(bn_vert_tree_Add_vert_and_norm_3 tester_bn_vert_tree 4 3)
+add_test(bn_vert_tree_Add_vert_and_norm_4 tester_bn_vert_tree 4 4)
+add_test(bn_vert_tree_Add_vert_and_norm_5 tester_bn_vert_tree 4 5)
+add_test(bn_vert_tree_Add_vert_and_norm_6 tester_bn_vert_tree 4 6)
+add_test(bn_vert_tree_Add_vert_and_norm_7 tester_bn_vert_tree 4 7)
+add_test(bn_vert_tree_Add_vert_and_norm_8 tester_bn_vert_tree 4 8)
+add_test(bn_vert_tree_Add_vert_and_norm_9 tester_bn_vert_tree 4 9)
+add_test(bn_vert_tree_Add_vert_and_norm_10 tester_bn_vert_tree 4 10)
+add_test(bn_vert_tree_Add_vert_and_norm_11 tester_bn_vert_tree 4 11)
+add_test(bn_vert_tree_clean_vert_tree_1 tester_bn_vert_tree 5 1)
+add_test(bn_vert_tree_free_vert_tree_1 tester_bn_vert_tree 6 1)
+
 # Local Variables:
 # tab-width: 8
 # mode: cmake
Index: src/libbn/vert_tree.c
===================================================================
--- src/libbn/vert_tree.c	(revision 54133)
+++ src/libbn/vert_tree.c	(working copy)
@@ -251,7 +251,7 @@
 	new_node->vnode.cut_val = (vertex[new_node->vnode.coord] +
 				   vert_root->the_array[ptr->vleaf.index * 3 + new_node->vnode.coord]) * 0.5;
 
-	/* set the node "lower" nad "higher" pointers */
+	/* set the node "lower" and "higher" pointers */
 	if ( vertex[new_node->vnode.coord] >=
 	     vert_root->the_array[ptr->vleaf.index * 3 + new_node->vnode.coord] ) {
 	    new_node->vnode.higher = new_leaf;
@@ -387,7 +387,7 @@
 	new_node->vnode.cut_val = (vertex[new_node->vnode.coord] +
 				   vert_root->the_array[ptr->vleaf.index * 3 + new_node->vnode.coord]) * 0.5;
 
-	/* set the node "lower" nad "higher" pointers */
+	/* set the node "lower" and "higher" pointers */
 	if ( vertex[new_node->vnode.coord] >=
 	     vert_root->the_array[ptr->vleaf.index * 3 + new_node->vnode.coord] ) {
 	    new_node->vnode.higher = new_leaf;
Index: src/libanalyze/tests/density.c
===================================================================
--- src/libanalyze/tests/density.c	(revision 54133)
+++ src/libanalyze/tests/density.c	(working copy)
@@ -1,4 +1,4 @@
-/*                    T E S T _ D E N S I T Y . C
+/*                    D E N S I T Y . C
  * BRL-CAD
  *
  * Copyright (c) 2011-2012 United States Government as represented by
Index: src/libbu/tests/bu_progname.c
===================================================================
--- src/libbu/tests/bu_progname.c	(revision 54133)
+++ src/libbu/tests/bu_progname.c	(working copy)
@@ -1,4 +1,4 @@
-/*                 T E S T _ P R O G N A M E . C
+/*                    B U _ P R O G N A M E . C
  * BRL-CAD
  *
  * Copyright (c) 2011-2012 United States Government as represented by
Index: src/libbu/tests/bu_basename.c
===================================================================
--- src/libbu/tests/bu_basename.c	(revision 54133)
+++ src/libbu/tests/bu_basename.c	(working copy)
@@ -1,4 +1,4 @@
-/*                 T E S T _ B A S E N A M E . C
+/*                    B U _ B A S E N A M E . C
  * BRL-CAD
  *
  * Copyright (c) 2011-2012 United States Government as represented by
Index: src/libbu/tests/bu_vls_vprintf.c
===================================================================
--- src/libbu/tests/bu_vls_vprintf.c	(revision 54133)
+++ src/libbu/tests/bu_vls_vprintf.c	(working copy)
@@ -1,4 +1,4 @@
-/*                    T E S T _ V L S _ V P R I N T F. C
+/*                       B U _ V L S _ V P R I N T F. C
  * BRL-CAD
  *
  * Copyright (c) 2011-2012 United States Government as represented by
Index: src/libbu/tests/bu_sscanf.c
===================================================================
--- src/libbu/tests/bu_sscanf.c	(revision 54133)
+++ src/libbu/tests/bu_sscanf.c	(working copy)
@@ -1,4 +1,4 @@
-/*                   T E S T _ S S C A N F . C
+/*                      B U _ S S C A N F . C
  * BRL-CAD
  *
  * Copyright (c) 2012 United States Government as represented by
@@ -17,7 +17,7 @@
  * License along with this file; see the file named COPYING for more
  * information.
  */
-/** @file test_sscanf.c
+/** @file bu_sscanf.c
  *
  * Test bu_sscanf routine.
  *
Index: src/libbu/tests/bu_gethostname.c
===================================================================
--- src/libbu/tests/bu_gethostname.c	(revision 54133)
+++ src/libbu/tests/bu_gethostname.c	(working copy)
@@ -1,4 +1,4 @@
-/*                 T E S T _ G E T H O S T N A M E . C
+/*                    B U _ G E T H O S T N A M E . C
  * BRL-CAD
  *
  * Copyright (c) 2011-2012 United States Government as represented by
Index: src/libbu/tests/bu_dirname.c
===================================================================
--- src/libbu/tests/bu_dirname.c	(revision 54133)
+++ src/libbu/tests/bu_dirname.c	(working copy)
@@ -1,4 +1,4 @@
-/*                  T E S T _ D I R N A M E . C
+/*                     B U _ D I R N A M E . C
  * BRL-CAD
  *
  * Copyright (c) 2011-2012 United States Government as represented by
Index: src/libbu/tests/bu_str_isprint.c
===================================================================
--- src/libbu/tests/bu_str_isprint.c	(revision 54133)
+++ src/libbu/tests/bu_str_isprint.c	(working copy)
@@ -1,4 +1,4 @@
-/*                     T E S T _ C T Y P E . C
+/*                        B U _ C T Y P E . C
  * BRL-CAD
  *
  * Copyright (c) 2007-2012 United States Government as represented by
Index: src/libbu/tests/bu_timer.c
===================================================================
--- src/libbu/tests/bu_timer.c	(revision 54133)
+++ src/libbu/tests/bu_timer.c	(working copy)
@@ -1,4 +1,4 @@
-/*                    T E S T _ T I M E R . C
+/*                       B U _ T I M E R . C
  * BRL-CAD
  *
  * Copyright (c) 2011-2012 United States Government as represented by
Index: src/libbu/tests/bu_booleanize.c
===================================================================
--- src/libbu/tests/bu_booleanize.c	(revision 54133)
+++ src/libbu/tests/bu_booleanize.c	(working copy)
@@ -1,4 +1,4 @@
-/*                 T E S T _ B O O L E A N I Z E . C
+/*                    B U _ B O O L E A N I Z E . C
  * BRL-CAD
  *
  * Copyright (c) 2012 United States Government as represented by
Index: src/libbu/tests/bu_quote.c
===================================================================
--- src/libbu/tests/bu_quote.c	(revision 54133)
+++ src/libbu/tests/bu_quote.c	(working copy)
@@ -1,4 +1,4 @@
-/*                    T E S T _ Q U O T E . C
+/*                       B U _ Q U O T E . C
  * BRL-CAD
  *
  * Copyright (c) 2011-2012 United States Government as represented by
Index: src/libbu/tests/bu_escape.c
===================================================================
--- src/libbu/tests/bu_escape.c	(revision 54133)
+++ src/libbu/tests/bu_escape.c	(working copy)
@@ -1,4 +1,4 @@
-/*                   T E S T _ E S C A P E . C
+/*                        B U _ E S C A P E . C
  * BRL-CAD
  *
  * Copyright (c) 2011-2012 United States Government as represented by
Index: src/libbu/tests/bu_redblack.c
===================================================================
--- src/libbu/tests/bu_redblack.c	(revision 54133)
+++ src/libbu/tests/bu_redblack.c	(working copy)
@@ -1,4 +1,4 @@
-/*                   T E S T _ R B T R E E . C
+/*                     B U _ R E D B L A C K . C
  * BRL-CAD
  *
  * Copyright (c) 2012 United States Government as represented by
@@ -17,7 +17,7 @@
  * License along with this file; see the file named COPYING for more
  * information.
  */
-/** @file test_rbtree.c
+/** @file bu_redblack.c
  * Test unit for Red - Black Tree API
  */
 
